﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//


using System;
using System.Windows.Forms;

namespace GlavSoft.RemoteCoreSDK.Viewer.Demo.Dialogs
{
    public partial class ConnectDialog : Form
    {
        public ConnectDialog()
        {
            InitializeComponent();
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            Connect();
        }

        private void ConnectDialog_Load(object sender, EventArgs e)
        {
            connectionString.Text = Properties.Settings.Default.ConnectionString;
        }

        private void connectionString_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char) Keys.Return)
            {
                Connect();
            }
        }

        private void Connect()
        {
            var cs = connectionString.Text;
            Properties.Settings.Default.ConnectionString = cs;
            Properties.Settings.Default.Save();
            DialogResult = DialogResult.OK;
        }
    }
}
