﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//


using System;
using System.Text.RegularExpressions;
using GlavSoft.RemoteCoreSDK.Viewer.Demo.Properties;

namespace GlavSoft.RemoteCoreSDK.Viewer.Demo
{
	internal static class Helper
	{
		private const string Pattern = @"(?<addr>[\w\.]*)(::(?<port>\d{4,5})?)?";

		public static String GetAddressFromSettings()
		{
			var connectionString = Settings.Default.ConnectionString;

			if (Regex.IsMatch(connectionString, Pattern))
			{
				var m = Regex.Match(connectionString, Pattern);
				return m.Groups["addr"].Value;
			}
			return string.Empty;
		}

		public static ushort GetPortFromSettings()
		{
			var connectionString = Settings.Default.ConnectionString;

			if (Regex.IsMatch(connectionString, Pattern))
			{
				var m = Regex.Match(connectionString, Pattern);
				if (m.Groups["port"].Success)
				{
					var portString = m.Groups["port"].Value;
					ushort result;
					if (ushort.TryParse(portString, out result))
					{
						return result;
					}
				}
			}
			return 5900;
		}
	}
}
