﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//


using System;
using System.Windows.Forms;
using GlavSoft.RemoteCoreSDK.Viewer.Demo.Dialogs;

namespace GlavSoft.RemoteCoreSDK.Viewer.Demo
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);

			var args = Environment.GetCommandLineArgs();
			if (args.Length > 1)
			{
				var cs = args[1];
				if (args.Length > 2)
					cs += "::" + args[2];
				Properties.Settings.Default.ConnectionString = cs;
				Application.Run(new MainForm());
			}
			else
			{
				var cd = new ConnectDialog();
				if (cd.ShowDialog() == DialogResult.OK)
					Application.Run(new MainForm());
			}
		}
	}
}
