﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;
using System.Globalization;
using System.Windows.Data;

namespace GlavSoft.RemoteCoreSDK.Viewer.WPF.Demo.Converters
{
	public class CursorTrackingModeToBooleanConverter : IValueConverter
	{
		// Convert enum [value] to boolean, true if matches [param]
		public object Convert(object value, Type targetType, object param, CultureInfo culture)
		{
			return value.Equals(param);
		}

		// Convert boolean to enum, returning [param] if true
		public object ConvertBack(object value, Type targetType, object param, CultureInfo culture)
		{
			return (bool)value ? param : Binding.DoNothing;
		}
	}
}