﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;
using System.Windows.Data;
using GlavSoft.RemoteCoreSDK.Viewer.Data;

namespace GlavSoft.RemoteCoreSDK.Viewer.WPF.Demo.Converters
{
    public class EnumConverter : IValueConverter
    {
        // Convert enum to int
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return (int)value;
        }
        // Convert double to enum
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            object result = null;
            var type = (Type)parameter;

            switch (type.Name)
            {
                case nameof(JpegQualityLevel): 
                    result = (JpegQualityLevel)(double)value;
                    break;
                case nameof(CompressionLevel): 
                    result = (CompressionLevel)(double)value;
                    break;
            }

            return result;
        }
    }
}
