﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;
using System.IO;
using System.Reflection;

// ReSharper disable once CheckNamespace
namespace GlavSoft.RemoteCoreSDK.Viewer.WPF.Demo
{
    public partial class MainWindow
    {
        static MainWindow()
        {
            AppDomain.CurrentDomain.AssemblyResolve += CurrentDomainOnAssemblyResolve;
        }

        private static Assembly CurrentDomainOnAssemblyResolve(object sender, ResolveEventArgs args)
        {
            var assemblyName = new AssemblyName(args.Name);
            var currentDirectory = Environment.CurrentDirectory;
            string path;

            switch (assemblyName.Name)
            {
                case "RemoteCore.Viewer.WPF":
                case "RemoteCore.Viewer.Core":
                    path = Path.Combine(currentDirectory, $"..\\Assemblies\\net45\\WPF\\{assemblyName.Name}.dll");
                    break;
                case "Newtonsoft.Json":
                case "NLog":
                case "RemoteCore.Viewer.Extensions.Loggers.NLog":
                    path = Path.Combine(currentDirectory, $"..\\Examples\\3rdparty\\{assemblyName.Name}.dll");
                    break;
                default:
                    return null;
            }

            return Assembly.UnsafeLoadFrom(path);
        }
    }
}