﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;

namespace GlavSoft.Viewer.WinForms.Demo
{
    static class DevEnvironment
    {
        public static void SetUpDevSettings(this RemoteDesktop control)
        {
            //control.SetLogger(new SimpleLogger(LogLevel.Info));

            var skipDevVariable = Environment.GetEnvironmentVariable("VNC_SKIP_DEV") ?? "";
            if (skipDevVariable.Equals("Y", StringComparison.OrdinalIgnoreCase))
            {
                return;
            }

            var passwordVariable = Environment.GetEnvironmentVariable("VNC_PASSWORD") ?? "vncpassword";
            var hostVariable = Environment.GetEnvironmentVariable("VNC_HOST") ?? "localhost";
            var portVariable = Environment.GetEnvironmentVariable("VNC_PORT") ?? "5900";
            var connectionId = Environment.GetEnvironmentVariable("VNC_CONNECTION_ID") ?? "vncconnectionid";

            ushort port = ushort.TryParse(portVariable, out port) ? port : (ushort) 5900;

            control.Port = port;
            control.RemoteHostAddress = hostVariable;

            //control.PasswordRequested += (o, args) => args.Password = passwordVariable;
            //control.DispatcherDataRequested += (o, args) => args.ConnectionId = uint.Parse(connectionId);
        }
    }
}